# $Revision: 1.6.2.3 $, $Date: 2003/09/10 12:04:08 $
%define		mod_name	sqlinclude
%define		apxs		/usr/sbin/apxs
Summary:	Apache module: mySQL based "Include"-alike configuration command.
Summary(pl):	Modu do apache: bazujca na mySQL komenda konfiguracji ala "Include"
Name:		apache-mod_%{mod_name}
Version:	1.4
Release:	3
License:	BSD
Group:		Networking/Daemons
Source0:	http://prdownloads.sourceforge.net/mod-sqlinclude/mod_sqlinclude-%{version}.tgz
# Source0-md5:	ecb1fd5d5a89c55e7dda4a9a456b0c13
URL:		http://sourceforge.net/projects/mod-sqlinclude/
BuildRequires:	apache(EAPI)-devel
BuildRequires:	mysql-devel
Prereq:		%{_sbindir}/apxs
Requires:	apache(EAPI)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)
%define		_sysconfdir	/etc/httpd

%description
mod_sqlinclude is an Apache Web server module which implements mySQL
based "Include"-alike configuration command. This lets you keep your
httpd config in database (i.e. VHosts etc).

%description -l pl
Modu do serwera Apache implementujcy bazujc na mySQL komend
konfiguracyjn typu "Include". Dziki temu moesz trzyma swoj
konfiguracj w bazie SQL.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%post
%{_sbindir}/apxs -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/apxs -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGE* README* *.sql
%attr(755,root,root) %{_pkglibdir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_sqlinclude.spec,v $
Revision 1.6.2.3  2003/09/10 12:04:08  ankry
- md5

Revision 1.6.2.2  2003/09/10 11:02:31  ankry
- added md5, rel. 3 to rebuild with new mysql

Revision 1.6.2.1  2003/07/11 12:00:24  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.6  2002/07/05 19:18:55  kloczek
- release 2.

Revision 1.5  2002/07/04 12:25:02  kloczek
- use new %doc.

Revision 1.4  2002/03/26 06:44:30  kloczek
- cosmetics.

Revision 1.3  2002/03/23 22:13:14  serek
+ URL.

Revision 1.2  2002/03/23 21:50:31  misiek
- fixed scripts

Revision 1.1  2002/03/23 21:41:24  misiek
- initial pld release
